Я получаю сообщение об ошибке при установке ruby ​​1.9.2 с помощью rvm на Yosemite. Кто-нибудь может мне помочь? Обновил homebrew и rvm. Я работаю с кем-то еще над этим проектом, поэтому я не могу обновить Ruby. Я поместил ссылку на свой вывод ниже. Спасибо заранее!

Kanyons-MacBook-Pro:~ USERNAME$ rvm install 1.9.2-head
ruby-1.9.2-head - #removing src/ruby-1.9.2-head..
Checking requirements for osx.
Certificates in '/usr/local/etc/openssl/cert.pem' are already up to date.
Requirements installation successful.
Installing Ruby from source to: /Users/USERNAME/.rvm/rubies/ruby-1.9.2-head, this may take a while depending on your cpu(s)...
HEAD is now at 5d9f08f bump patchlevel
From git://github.com/ruby/ruby
 * branch            ruby_1_9_2 -> FETCH_HEAD
Current branch ruby_1_9_2 is up to date.
Copying from repo to src path...
ruby-1.9.2-head - #applying patch /Users/USERNAME/.rvm/patches/ruby/1.9.2/head/r42282.patch.
ruby-1.9.2-head - #applying patch /Users/USERNAME/.rvm/patches/ruby/ssl_no_ec2m.patch.
ruby-1.9.2-head - #autoreconf.
ruby-1.9.2-head - #configuring..........................................
ruby-1.9.2-head - #post-configuration.
ruby-1.9.2-head - #compiling..................
Error running '__rvm_make -j 1',
showing last 15 lines of /Users/USERNAME/.rvm/log/1413513694_ruby-1.9.2-head/make.log
generating newline.c ...
converter for universal_newline
converter for crlf_newline
converter for cr_newline
done.  (0.06user 0.00system 0.01elapsed)
/usr/local/opt/apple-gcc42/bin/gcc-4.2 -O3 -I/usr/local/opt/readline/include -I/usr/local/opt/libksba/include -I/usr/local/opt/openssl/include -fno-common -pipe -I. -I.ext/include/x86_64-darwin14.0.0 -I./include -I.        -DRUBY_EXPORT -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE   -o newline.o -c newline.c
couldn't understand kern.osversion `14.0.0'
/usr/local/opt/apple-gcc42/bin/gcc-4.2 -O3 -I/usr/local/opt/readline/include -I/usr/local/opt/libksba/include -I/usr/local/opt/openssl/include -fno-common -pipe -I. -I.ext/include/x86_64-darwin14.0.0 -I./include -I. -DRUBY_EXPORT -D_XOPEN_SOURCE -D_DARWIN_C_SOURCE   -o dmyext.o -c dmyext.c
couldn't understand kern.osversion `14.0.0'
/usr/local/opt/apple-gcc42/bin/gcc-4.2 -O3 -I/usr/local/opt/readline/include -I/usr/local/opt/libksba/include -I/usr/local/opt/openssl/include -fno-common -pipe -L. -L/usr/local/opt/readline/lib         -L/usr/local/opt/libksba/lib -L/usr/local/opt/openssl/lib -Wl,-u,_objc_msgSend   main.o dmydln.o dmyencoding.o dmyversion.o miniprelude.o array.o bignum.o class.o compar.o complex.o dir.o dln_find.o enum.o enumerator.o error.o eval.o load.o proc.o file.o gc.o hash.o inits.o io.o marshal.o math.o node.o numeric.o object.o pack.o parse.o process.o random.o range.o rational.o re.o regcomp.o regenc.o regerror.o regexec.o regparse.o regsyntax.o ruby.o safe.o signal.o sprintf.o st.o strftime.o string.o struct.o time.o transcode.o util.o variable.o compile.o debug.o iseq.o vm.o vm_dump.o thread.o cont.o ascii.o us_ascii.o unicode.o utf_8.o newline.o  dmyext.o -lpthread -ldl -lobjc  -o miniruby
couldn't understand kern.osversion `14.0.0'
miniruby(65084,0x7fff7bed0300) malloc: *** error for object 0x100801a08: incorrect checksum for freed object - object was probably modified after being freed.
*** set a breakpoint in malloc_error_break to debug
make: *** [.rbconfig.time] Abort trap: 6
++ return 2
There has been an error while running make. Halting the installation.
7
Kanyon 17 Окт 2014 в 07:30

3 ответа

Лучший ответ

Для тех, кто пытается установить Ruby 1.9.2 на Yosemite, нет исправления. Я установил 1.9.3, и он отлично работает.

Для получения дополнительной информации о том, почему 1.9.2 не компилируется правильно, используйте отчеты об ошибках на Github ниже.

https://github.com/wayneeseguin/rvm/issues/3096#issuecomment-59797969 https://github.com/wayneeseguin/rvm/issues/3099#issuecomment-60187208

-1
Kanyon 9 Ноя 2014 в 15:58

У меня нет лучшего ответа, но похоже, что это ошибка в том, как OSX обрабатывает GCC ... или что-то в этом роде. Я нашел ветку, в которой упоминается патч, а также то, как его установить здесь: https://gcc.gnu.org/bugzilla/show_bug.cgi?id=61407

Я еще не сделал этого, но собираюсь сделать это и доложу. Не уверен, что это «ответ», но это тоже моя проблема, и мне нужно быстро исправить это!

РЕДАКТИРОВАТЬ: ни один из патчей не работал (вероятно, потому, что я не знал, как их установить, но, запустив эту строку в моем терминале, а затем выполните rvm install 1.9.2 , похоже, сработало:

export PATH=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:$PATH

Взято из этого ответа: Как использовать / установить gcc в Mac OS X 10.8 / Xcode 4.4

0
Community 23 Май 2017 в 12:14

Вы пробовали вместо этого RBENV?

https://github.com/sstephenson/rbenv

Если у вас когда-либо возникнут проблемы с установкой чего-либо в вашей собственной системе, вы всегда можете попробовать создать виртуальную машину с помощью Vagrant, также хорошо для развертывания.

Я использовал его для клиента, у которого более старое приложение ROR. Облегчает совместное использование сред разработки.

https://www.vagrantup.com/

0
lacostenycoder 26 Окт 2014 в 09:42